Bug 51752 - Printed page format changes for same file between Windows XP and Ubuntu versions - also on different display settings in Windows 7
Summary: Printed page format changes for same file between Windows XP and Ubuntu versi...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-05 07:29 UTC by admin
Modified: 2015-02-11 19:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
4635 (Ubuntu 12.04) Screenshot.pdf (153.79 KB, application/pdf)
2012-07-10 14:19 UTC, admin
Details
4635 (Windows XP) Screenshot.pdf (67.32 KB, application/pdf)
2012-07-10 14:19 UTC, admin
Details
120701 (Ubuntu 12.04) Screenshot.pdf (150.57 KB, application/pdf)
2012-07-10 14:19 UTC, admin
Details
120701 (Windows XP) Screenshot.pdf (68.74 KB, application/pdf)
2012-07-10 14:19 UTC, admin
Details
admin.vcf (304 bytes, text/x-vcard)
2012-07-10 14:19 UTC, admin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2012-07-05 07:29:22 UTC
Printed page format changes for same file between Windows (XP Professional) and Linux (Ubuntu 12.04) versions.
When file is opened in both operating systems the file shows the same settings but the Linux page is smaller so it does not print with correct line spacing on pre-printed documents.
Comment 1 Valek Filippov 2012-07-07 09:03:03 UTC
Created attachment 64067 [details]
4635 (Ubuntu 12.04) Screenshot.pdf

Could you please attach a sample file and screenshots from both XP and Ubuntu?
Comment 2 admin 2012-07-10 14:19:35 UTC
Hi Valek,

Thanks for your reply and interest in the bug I reported.

Attached are screenshots associated with two spreadsheet files. Both 
show the same problem but it seems to show on all Spreadsheet files. The 
problem appears to relate to the location of the page break. You'll see 
the row number where the page break varies between the Windows and Linux 
output of the same file. The Libre Office version no. we use in Windows 
(XP Professional) is 3.5.4.2 and in Linux (Ubuntu 12.04) it is 3.5.3.2.

Please contact me if you need any further information.

Thanks,

Tom Baxter


bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=51752
>
> Valek Filippov<frob@gnome.org>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|UNCONFIRMED                 |NEEDINFO
>       Ever Confirmed|0                           |1
>
> --- Comment #1 from Valek Filippov<frob@gnome.org>  2012-07-07 09:03:03 PDT ---
> Could you please attach a sample file and screenshots from both XP and Ubuntu?
>
Comment 3 admin 2012-07-10 14:19:36 UTC
Created attachment 64068 [details]
4635 (Windows XP) Screenshot.pdf
Comment 4 admin 2012-07-10 14:19:36 UTC
Created attachment 64069 [details]
120701 (Ubuntu 12.04) Screenshot.pdf
Comment 5 admin 2012-07-10 14:19:36 UTC
Created attachment 64070 [details]
120701 (Windows XP) Screenshot.pdf
Comment 6 admin 2012-07-10 14:19:36 UTC
Created attachment 64071 [details]
admin.vcf
Comment 7 Roman Eisele 2012-07-10 18:08:08 UTC
Tried to give this bug report a more useful summary. Please adjust if necessary.
Comment 8 QA Administrators 2013-05-26 22:31:50 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 admin 2013-05-29 10:45:24 UTC
Screenshot information provided as requested in July 2012. Have received no request for additional information since. 

The bug can be replicated by printing the same file using Windows XP operating system or Ubuntu 12.04LTS. The line spacing is different with the page size smaller in Linux. This seems to affect the line spacing for some reason. 

The reason that this is important to us is that we need to use pre printing stationery for some printing tasks.
Comment 10 Joel Madero 2014-05-28 15:41:06 UTC
and this is still a problem with 4.2.4.2 release? 3.5.4 has been EOL for a very long time
Comment 11 Owen Genat (retired) 2014-07-28 12:17:34 UTC
(In reply to comment #1)
> Could you please attach a sample file and screenshots ...

(In reply to comment #9)
> Screenshot information provided as requested in July 2012. 

A sample (Calc) file was also requested. The provided screenshots were only of the open Calc file and not the print preview or an example of how each document prints to PDF (File > Export to PDF). In the provided screenshots the interface zoom levels are different for Ubuntu (~79-80%) and WindXP (~50-55%) which explains the difference in what is being viewed on screen. Are you attempting to print the file (File > Print) or a screenshot?

Status set to NEEDINFO. Please set the status back to UNCONFIRMED once the request information has been provided. Thanks.
Comment 12 admin 2014-08-13 13:02:14 UTC
(In reply to comment #11)
> (In reply to comment #1)
> > Could you please attach a sample file and screenshots ...
> 
> (In reply to comment #9)
> > Screenshot information provided as requested in July 2012. 
> 
> A sample (Calc) file was also requested. The provided screenshots were only
> of the open Calc file and not the print preview or an example of how each
> document prints to PDF (File > Export to PDF). In the provided screenshots
> the interface zoom levels are different for Ubuntu (~79-80%) and WindXP
> (~50-55%) which explains the difference in what is being viewed on screen.
> Are you attempting to print the file (File > Print) or a screenshot?
> 
> Status set to NEEDINFO. Please set the status back to UNCONFIRMED once the
> request information has been provided. Thanks.

Unfortunately unable to provide additional information as I do not currently have Ubuntu Linux installed with which to compare. Also have migrated from Windows XP to Windows 7. So no exact comparisons are now possible.

However, I have tried to replicate the problem on Windows 7 when using Calc and the printout page length will vary depending on the screen display setting. The page length seems to vary by as many as four lines which, of course, can mean the difference between the print appearing on one page or another. Not so much a difficulty where plain paper is in use but a significant problem where pre-printed stationery, such as invoices, are in use. Tried it so far on the 100% 'Smaller' setting and the 125% 'Medium' setting.

I would suspect that it is different display settings that cause the problem. PDF files seem to be stable. So the best work around might be to convert the vulnerable files to pdf.
Comment 13 admin 2014-08-13 13:03:27 UTC
Unfortunately unable to provide additional information as I do not currently have Ubuntu Linux installed with which to compare. Also have migrated from Windows XP to Windows 7. So no exact comparisons are now possible.

However, I have tried to replicate the problem on Windows 7 when using Calc and the printout page length will vary depending on the screen display setting. The page length seems to vary by as many as four lines which, of course, can mean the difference between the print appearing on one page or another. Not so much a difficulty where plain paper is in use but a significant problem where pre-printed stationery, such as invoices, are in use. Tried it so far on the 100% 'Smaller' setting and the 125% 'Medium' setting.

I would suspect that it is different display settings that cause the problem. PDF files seem to be stable. So the best work around might be to convert the vulnerable files to pdf.
Comment 14 Buovjaga 2014-11-19 07:01:09 UTC
(In reply to admin from comment #13)
> Unfortunately unable to provide additional information as I do not currently
> have Ubuntu Linux installed with which to compare. Also have migrated from
> Windows XP to Windows 7. So no exact comparisons are now possible.

Please try with a live USB of Ubuntu 14.10: http://releases.ubuntu.com/14.10/
It comes with LibO 4.3.
I wouldn't worry about XP anymore as it is EOL.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 15 QA Administrators 2015-02-11 19:53:28 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11